%define upstream_name    LaTeX-Driver
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Driver to run LaTeX, bibtex and makeindex
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LaTeX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(Readonly)
BuildRequires: latex
BuildRequires: ghostscript-common
BuildRequires: texlive-dist
Requires:   latex
Requires:   ghostscript-common
Requires:   perl-Template-Toolkit
BuildArch:  noarch

%description
The LaTeX::Driver module encapsulates the details of invoking the Latex
programs to format a LaTeX document. Formatting with LaTeX is complicated;
there are potentially many programs to run and the output of those programs
must be monitored to determine whether further processing is required.

This module runs the required commands in the directory specified, either
explicitly with the 'dirname' option or implicitly by the directory part of
'basename', or in the current directory. As a result of the processing up
to a dozen or more intermediate files are created. These can be removed
with the 'cleanup' method.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
TMPDIR=/tmp %make test

%install
%makeinstall_std

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README SIGNATURE TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Dec 21 2013 sander85 <sander85> 0.120.0-3.mga4
+ Revision: 559565
- Fix BRs

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 368926
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 kharec <kharec> 0.120.0-1.mga3
+ Revision: 288469
- update to 0.12

* Fri Aug 31 2012 kharec <kharec> 0.110.0-1.mga3
+ Revision: 286315
- add a br on Readonly
- update to 0.11

* Thu Feb 09 2012 dmorgan <dmorgan> 0.100.0-2.mga2
+ Revision: 206616
- Add perl-Template-Toolkit as Requires

* Fri Oct 14 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 155035
- update to 0.10

* Fri Mar 04 2011 boklm <boklm> 0.80.0-3.mga1
+ Revision: 64076
- don't require tetex

* Fri Jan 21 2011 jquelin <jquelin> 0.80.0-2.mga1
+ Revision: 29129
- mageia rebuild
- imported package perl-LaTeX-Driver

